package org.itscool.commons.dao;

import java.util.HashMap;

/**
 * 永続化対象クラス情報です
 *
 * @author KANO
 * @since jdk1.4.1
 * @version 1.00A 2005/10/10
 */
public class EntityInfo {
    /** 永続化対象クラスのO/Rマッピング情報 */
    protected RecordMap gRecordMap;
    /** 永続化対象クラスの外部参照クラスのO/Rマッピング情報 */
    protected HashMap fkRecordMaps;
    
    /**
     * 永続化対象クラスの外部参照となるO/Rマッピング情報を取得します
     * @return 永続化対象クラスの外部参照となるO/Rマッピング情報
     */
    public HashMap getFkRecordMaps() {
        return fkRecordMaps;
    }
    
    /**
     * 永続化対象クラスの外部参照となるO/Rマッピング情報をセットします
     * @param fkRecordMaps 永続化対象クラスの外部参照となるO/Rマッピング情報
     */
    public void setFkRecordMaps(HashMap fkRecordMaps) {
        this.fkRecordMaps = fkRecordMaps;
    }
    
    /**
     * 永続化対象クラスのO/Rマッピング情報を取得します
     * @return 永続化対象クラスのO/Rマッピング情報
     */
    public RecordMap getGRecordMap() {
        return gRecordMap;
    }
    
    /**
     * 永続化対象クラスのO/Rマッピング情報をセットします
     * @param recordMap 永続化対象クラスのO/Rマッピング情報
     */
    public void setGRecordMap(RecordMap recordMap) {
        gRecordMap = recordMap;
    }
}
